# Uses of Interface
org.eclipse.ui.forms.IMessage

Packages that use IMessage
Package
Description
org.eclipse.ui.forms
Forms-based controls for use in views, editors, and wizards.
org.eclipse.ui.forms.widgets
Custom widgets and controls for forms-based parts.

## Uses of IMessage in org.eclipse.ui.forms

Methods in org.eclipse.ui.forms with parameters of type IMessage
Modifier and Type
Method
Description
`String`
IMessageManager.`createSummary(IMessage[] messages)`
When message manager is used in context of a form, and there are hyperlink listeners for messages in the header, the hyperlink event will carry an object of type `IMessage[]` as an href.

## Uses of IMessage in org.eclipse.ui.forms.widgets

Methods in org.eclipse.ui.forms.widgets that return IMessage
Modifier and Type
Method
Description
`IMessage[]`
Form.`getChildrenMessages()`
Returns the children messages that the cause of the summary message currently set on the form.
Methods in org.eclipse.ui.forms.widgets with parameters of type IMessage
Modifier and Type
Method
Description
`void`
Form.`setMessage(String newMessage, int newType, IMessage[] children)`
Sets the message for this form with an indication of what type of message it is.
`void`
ScrolledForm.`setMessage(String newMessage, int newType, IMessage[] messages)`
Sets the form message.